module Masheri

  def self.load_rails_config!
    if File.exists? rails_config
      load_config! rails_config
    else
      raise MissingConfig.new
    end
  end

  def self.rails_config
    Rails.root.join("config", "masheri.yml")
  end

  class Engine < ::Rails::Engine
    initializer "load_masheri_config" do
      Masheri.load_rails_config!
    end
  end
end
